
# yl_matterbridge

## Purpose

This mod sends ingame chat messages from Minetest to matterbridge and receives matterbridge messages via their swagger API.

See Matterbridge here: https://github.com/42wim/matterbridge

## Download

Get it from https://gitea.your-land.de/AliasAlreadyTaken/yl_matterbridge

## Installation

Add it to your mod folder and activate it in your world.mt and add yl_matterbridge to secure.http_mods

```
secure.http_mods = yl_matterbridge
```

## Usage

### Admin

Create a config for the API 

* https://github.com/42wim/matterbridge/wiki/How-to-create-your-config
* https://github.com/42wim/matterbridge/wiki/Api

Example (Token disabled):

```
[api.mt]
BindAddress="127.0.0.1:4242"
Buffer=1000
RemoteNickFormat="{NICK}"
#Token="abc"
```
Gateway section:

```
[[gateway]]
name="default"
enable=true
[[gateway.inout]]
account="api.mt"
channel="api"
```

### Modmakers

API: Overwrite these function in your chat mod, if you want to govern sending and receveiving yourself
Don't forget to add an optional dependency to yl_matterbridge

Overwrite this function to receive something from the bridge
```
function yl_matterbridge.publish_to_chat(user_name, message_text)
    core.chat_send_all("<" .. user_name .. "@irc> " .. message_text)
end
```

Call this function to send soemthing to the bridge
```
function yl_matterbridge.send_to_bridge(user_name, message_text)
    send(user_name, message_text)
end
```

Set this function to yl_matterbridge.chat_message = function() end if you call yl_matterbridge.send_to_bridge yourself

```
function yl_matterbridge.chat_message(user_name, message_text)
    send_to_bridge(user_name, message_text)
end
```

### Allied projects

If you know of a project that uses this bridge, we will add it to the list.

* smart_chat : https://github.com/acmgit/smart_chat/

## Uninstall

Remove it from your mod folder or deactivate it in your world.mt

Mods that depend on it will cease to work, if the mod is removed without proper replacement.

## License

MIT